/*
 * DbApplication.java
 *
 * Created on 28. Mai 2001, 14:51 by Christoph Knabe
 */

package bank3tier.db;

/**The application specific database access methods are grouped by this interface.
* All other content of the db-package should be purely generic and
* application-independent.
* @author  2001-05-28  Christoph Knabe
*/
public interface DbApplication {

     /**Creates an empty instance of the application database without opening it*/
    public abstract void createEmptyDB();

    /**Opens an application specific JORA database.*/
    public abstract void openDB();

    /**Returns the JORA session used to access the application database.
       Requires: openDB() was successfully executed before.
    */
    public abstract jora.Session getSession();

    /**Creates application specific tables*/
    public abstract void createTables(final String i_oidSuffix) throws java.sql.SQLException;

    /**Deletes the application specific database tables.*/
    public abstract void deleteTables() throws java.sql.SQLException;

}