/*
 * System.java
 *
 * Created on 19. Mai 2001, 09:01
 */

package bank3tier.lg;
import bank3tier.db.DbObject;
import bank3tier.db.DbBankApplication;
/**Steht fr die Applikation als Ganzes. Enthlt eine Operation zur 
  Initialisierung der Applikation sowie statische Operationen zum Erfassen 
  einiger Startobjekte, von denen ausgehend weitere Objekte mit Hilfe von
  Objektoperationen erfat werden.
 * @author  Christoph Knabe
 */
public class LgApplication /*extends LgObject*/ {

    /** Initializes the system.*/
    public static void init() throws multex.Failure {
        try {
            DbObject.dbOpenDB(new DbBankApplication());
            //Dummy-Objekte als Zugnge fr suchen()-Operationen erzeugen:
            _dummyKunde = new LgKunde();
        } catch(Exception ex){
            throw new multex.Failure("Error initializing the system", ex); 
        }
    }
    
    
    /**Creates a new Kunde object as external checked transaction
    public static LgKunde kundeErfassen(final String i_name, final LgDatum i_geburt){
        DbObject.beginTransaction();
        boolean ok = false;
        try {
            final LgKunde kunde = new LgKunde();
            kunde.setzen(i_name, i_geburt);
            kunde.insert();
            ok = true;
            return kunde;
        }catch(Exception ex){throw new multex.Failure(
            "Es war nicht mglich, den Kunden {0} zu erfassen", ex, i_name);
        }finally{DbObject.endTransaction(ok);}
    }
*/    
    
    /**Returns a shared dummy LgKunde object for suchen operations*/
    public static LgKunde dummyKunde(){return _dummyKunde;}
    
    /**Dummy-Kunde zur Ermglichung von Objektoperationen fr Objektverwaltung*/
    public static LgKunde _dummyKunde;

}