package bank3tier.lg;

public class TestLgDatum extends junit.framework.TestCase {

    private static final String[] localDates = new String[]{
        "01.01.1970", "29.02.1984", "31.12.2003"
    };

    private static final String[] isoDates = new String[]{
        "1970-01-01", "1984-02-29", "2003-12-31"
    };

	public TestLgDatum(final String i_name) {
		super(i_name);
	}

    public void testConversions(){
        for(int i=0; i<localDates.length; i++){
            _testLocalFormat(localDates[i]);
            _testLocalToIsoFormat(localDates[i], isoDates[i]);
            _testIsoToLocalFormat(localDates[i], isoDates[i]);
        }
    }

	private void _testLocalFormat(final String i_localDateString) {
		final LgDatum lgDatum = LgDatum.fromString(i_localDateString);
		assertEquals(i_localDateString, lgDatum.toString());
	}

    private void _testLocalToIsoFormat(
        final String i_localDateString, final String i_isoDateString
    ){
		final LgDatum lgDatum = LgDatum.fromString(i_localDateString);
        final java.sql.Date date = lgDatum.toDate();
		assertEquals(i_isoDateString, date.toString());
    }

	private void _testIsoToLocalFormat(
        final String i_localDateString, final String i_isoDateString
    ) {
        final java.sql.Date date = java.sql.Date.valueOf(i_isoDateString);
		final LgDatum lgDatum = new LgDatum(date);
		assertEquals(i_localDateString, lgDatum.toString());
	}


}//class
