/*
 * UiObject.java
 *
 * Created on 18. Juni 2001, 14:38
 */

package bank3tier.ui;

/**
 * The base class for a dialog in our application.
 * Necessary in order to give any java.awt.Window as owner.
 * @author  Christoph Knabe 2001-06-18
 * @version 
 */
public abstract class UiDialog implements java.awt.event.ActionListener {

    /** Creates new object */
    public UiDialog(final java.awt.Window io_owner) {
        if(io_owner instanceof java.awt.Frame){
            _dialog = new javax.swing.JDialog((java.awt.Frame)io_owner);
        }else if(io_owner instanceof java.awt.Dialog){
            _dialog = new javax.swing.JDialog((java.awt.Dialog)io_owner);
        }else{
            _dialog = new javax.swing.JDialog();
        }
        _dialog.setModal(true);
        _dialog.setLocation(io_owner.getX()+20, io_owner.getY()+20); //relative to owner
        _contentPane = _dialog.getContentPane();
        _contentPane.add(_buttonsPanel, java.awt.BorderLayout.SOUTH);

        _dialog.addWindowListener(new java.awt.event.WindowAdapter(){
            public void windowClosing(final java.awt.event.WindowEvent i_event) {
                _closeDialog(/*i_event*/);
            }
        });
    }//UiDialog()

    protected void _report(final Throwable i_throwable){
        multex.Awt.report(_dialog, i_throwable);
    }
    
    /**Add a button to the _buttonsPanel and use 'this' as its ActionListener*/
    protected void _addButton(final javax.swing.JButton i_button){
        _buttonsPanel.add(i_button);
        i_button.addActionListener(this);
    }
    
    /** Closes the dialog */
    protected void _closeDialog() {
        _dialog.setVisible(false);
        _dialog.dispose();
    }

    protected   final javax.swing.JDialog _dialog;
    protected final java.awt.Container _contentPane;
    protected final javax.swing.JPanel  _buttonsPanel = new javax.swing.JPanel();

}//UiObject